Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          org.apache.struts2.impl.StrutsObjectFactory

All Implemented Interfaces:
  Serializable

    public class StrutsObjectFactory

extends ObjectFactory

See Also:
  Serialized Form

Constructor Summary
`StrutsObjectFactory()`

Method Summary
`Interceptor` | `buildInterceptor(InterceptorConfig interceptorConfig, Map refParams)` Builds an Interceptor from the InterceptorConfig and the Map of parameters from the interceptor reference.
`Result` | `buildResult(ResultConfig resultConfig, Map extraContext)` Build a Result using the type in the ResultConfig and set the parameters in the ResultConfig.

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildAction, buildBean, buildBean, buildBean, buildValidator, getClassInstance, getObjectFactory, injectInternalBeans, isNoArgConstructorRequired, setClassLoader, setContainer, setObjectFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsObjectFactory

    public StrutsObjectFactory()

Method Detail

### buildInterceptor

    public Interceptor buildInterceptor(InterceptorConfig interceptorConfig,
                                        Map refParams)
                                 throws ConfigurationException

  Description copied from class: `ObjectFactory`
  Builds an Interceptor from the InterceptorConfig and the Map of parameters from the interceptor reference. Implementations of this method should ensure that the Interceptor is parameterized with both the parameters from the Interceptor config and the interceptor ref Map (the interceptor ref params take precedence), and that the Interceptor.init() method is called on the Interceptor instance before it is returned.

  Overrides:
    `buildInterceptor` in class `ObjectFactory`
  Parameters:
    `interceptorConfig` - the InterceptorConfig from the configuration
    `refParams` - a Map of params provided in the Interceptor reference in the Action mapping or InterceptorStack definition
  Throws:
    `ConfigurationException`

### buildResult

    public Result buildResult(ResultConfig resultConfig,
                              Map extraContext)
                       throws Exception

  Description copied from class: `ObjectFactory`
  Build a Result using the type in the ResultConfig and set the parameters in the ResultConfig.

  Overrides:
    `buildResult` in class `ObjectFactory`
  Parameters:
    `resultConfig` - the ResultConfig found for the action with the result code returned
    `extraContext` - a Map of extra context which uses the same keys as the `ActionContext`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.